<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:baselineAligned="false"
    android:orientation="horizontal" >

    <LinearLayout
        android:id="@+id/stations_station_details_list_fragment"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical" >

        <include layout="@layout/action_bar" />

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:foreground="@drawable/view_shadow_bottom"
            android:foregroundGravity="top|fill_horizontal" >

            <ViewAnimator
                android:id="@+id/stations_station_details_list_layout"
                android:layout_width="match_parent"
                android:layout_height="match_parent" >

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/stations_station_details_list"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:clipToPadding="false"
                    android:paddingBottom="48dp"
                    android:scrollbars="none" />

                <TextView
                    android:id="@+id/stations_station_details_result_status"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginLeft="@dimen/list_entry_padding_horizontal_verylax"
                    android:layout_marginRight="@dimen/list_entry_padding_horizontal_verylax"
                    android:gravity="center"
                    android:textSize="@dimen/font_size_large" />
            </ViewAnimator>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="bottom"
                android:layout_margin="4dp"
                android:background="@drawable/disclaimer_background"
                android:baselineAligned="false"
                android:orientation="horizontal" >

                <TextView
                    android:id="@+id/stations_station_details_disclaimer_source"
                    android:layout_width="0px"
                    android:layout_height="wrap_content"
                    android:layout_gravity="bottom"
                    android:layout_weight="1"
                    android:drawablePadding="@dimen/list_entry_padding_horizontal_lax"
                    android:gravity="bottom|left"
                    android:maxLines="2"
                    android:textSize="@dimen/font_size_disclaimer" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="bottom"
                    android:gravity="bottom|right"
                    android:text="@string/disclaimer_responsibility_2line"
                    android:textSize="@dimen/font_size_disclaimer" />
            </LinearLayout>
        </FrameLayout>
    </LinearLayout>

    <FrameLayout
        android:id="@+id/stations_station_details_map_fragment"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:foreground="@drawable/view_shadow_right"
        android:foregroundGravity="left|fill_vertical" >

        <de.schildbach.oeffi.OeffiMapView
            android:id="@+id/stations_station_details_map"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <TextView
            android:id="@+id/stations_station_details_map_disclaimer"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom|left"
            android:layout_marginBottom="@dimen/list_entry_padding_vertical_lax"
            android:layout_marginLeft="@dimen/list_entry_padding_horizontal_lax"
            android:textSize="@dimen/font_size_disclaimer" />
    </FrameLayout>

</LinearLayout>